/* Copyright (c) 1994, 1998 John E. Davis
 * This file is part of the JDMath library.
 *
 * You may distribute this file under the terms the GNU General Public
 * License.  See the file COPYING for more information.
 */
#include "config.h"

#ifdef HAVE_STDLIB_H
# include <stdlib.h>
#endif

#include "jdmath.h"

int JDMcheck_types (unsigned long i16, 
		    unsigned long i32, 
		    unsigned long f32, 
		    unsigned long f64)
{
   if ((2 != i16)
       || (4 != i32)
       || (4 != f32)
       || (8 != f64))
     {
	JDMmsg_error ("JDMcheck_types: configuration error.  Type sizes are not correct.");
	exit (1);
     }
   
   return 0;
}
